Bug 102726 - signal list in Eclipse is botched when using japanese locale
signal list in Eclipse is botched when using japanese locale
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: eclipse (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-20 07:17 EDT by Anthony Green
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:35:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2003-08-20 07:17:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When you log in using the japanese language and start gdb in the console, "info
signals" produces a nice list in english.

But the list is completely botched when you look at the signals page in an
Eclipse C debugging session.  There's an extra entry at the top with a single
Japanese character.  Most of the descriptions are blank, although a small number
contain partial descriptions. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Log in using japanese language
2.Start a C debugging session in Eclipse
3.Look at the signals page

    

Additional info:
Comment 1 Tom Tromey 2003-09-19 18:46:08 EDT
For the time being, I've set up the gcj-eclipse to force
LANG=C.  This also works around bugs reported on the public
compiled-eclipse list about locale-related failures.
BTW, these reports should be pushed to the upstream
eclipse.org bugzilla.
Comment 2 RHEL Product and Program Management 2007-10-19 15:35:14 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.